Results 1 to 7 of 7

Thread: ark does'nt works after the last two updates

  1. #1

    Default ark does'nt works after the last two updates

    on my laptop Laptop=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @ 1.60GHz: host=pla-3-TW, partition=suse2, OS=leap 42.3, DE=plasma 5.12.5, KDE frameworks 5.45.0, KDE applications 18.4.0, Kernel 4.4.126-48-default, nvidia drivers, libreoffice 6.0.3.20
    and other with similar configuration

    ark Version:18.04.0-1.12
    Distribution: KDE:Applications / KDE_Frameworks5_openSUSE_Leap_42.3

    after the last two updates ark doesn't works anymore and also doesn't appear the context menu "extract" when rightclick on a compressed file
    opening ark from the application menu produce nothing.
    opening ark from konsole:
    Code:
    pla@pla-3-TW:~> ark
    ark: error while loading shared libraries: libkerfuffle.so.18: cannot open shared object file: No such file or directory
    pla@pla-3-TW:~>
    how can I have a working ark?

  2. #2

    Default Re: ark does'nt works after the last two updates

    Quote Originally Posted by pier_andreit View Post
    Code:
    pla@pla-3-TW:~> ark
    ark: error while loading shared libraries: libkerfuffle.so.18: cannot open shared object file: No such file or directory
    pla@pla-3-TW:~>
    how can I have a working ark?
    Don't mix packages from different repos.

    What version of libkerfuffle18 from where from do you have installed?
    Likely mine I suppose, which won't work with the ark from standard KDE:Applications repo.
    Last edited by wolfi323; 07-May-2018 at 05:26.

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: ark does'nt works after the last two updates

    Quote Originally Posted by pier_andreit View Post
    on my laptop Laptop=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @ 1.60GHz: host=pla-3-TW, partition=suse2, OS=leap 42.3, DE=plasma 5.12.5, KDE frameworks 5.45.0, KDE applications 18.4.0, Kernel 4.4.126-48-default, nvidia drivers, libreoffice 6.0.3.20
    and other with similar configuration

    ark Version:18.04.0-1.12
    Distribution: KDE:Applications / KDE_Frameworks5_openSUSE_Leap_42.3

    after the last two updates ark doesn't works anymore and also doesn't appear the context menu "extract" when rightclick on a compressed file
    opening ark from the application menu produce nothing.
    opening ark from konsole:
    Code:
    pla@pla-3-TW:~> ark
    ark: error while loading shared libraries: libkerfuffle.so.18: cannot open shared object file: No such file or directory
    pla@pla-3-TW:~>
    how can I have a working ark?
    What I see is non-stock packages re. KDE. This is not your first post here which is nothing but the result of mixing packages of various KDE-related repos. Please, if you do not know how to handle these added repos, remove them and stick to the stock repos. Or seriously study zypper and it's options to avoid these situations.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,555

    Question Re: ark does'nt works after the last two updates

    Quote Originally Posted by pier_andreit View Post
    DE=plasma 5.12.5, KDE frameworks 5.45.0, KDE applications 18.4.0, Kernel 4.4.126-48-default

    ark Version:18.04.0-1.12
    Distribution: KDE:Applications / KDE_Frameworks5_openSUSE_Leap_42.3
    I feel that, the following question needs to be asked:
    • What advantages do you see in using the "next" KDE Frameworks version with openSUSE Leap 42.3?


    Please be aware that, I personally use the (newest) Digikam version from the "KDE:Extra" repository with the "standard" Leap 42.3 KDE Frameworks environment: KDE Frameworks: 5.32.0; plasmashell 5.8.7.
    I have no complaints with this setup and a (rebuilt) database of over 10 000 photos. Yes, moving to the newest application version and therefore also the newest database version, did need some (long overdue) database maintenance due to the age and quantity of the database content.
    Once again, personally, I currently see no need to use the "newest" KDE Frameworks environment despite using the "newest" version of one of the KDE "killer apps".

  5. #5

    Default Re: ark does'nt works after the last two updates

    manythanks, I downloaded ark and libkerfuffle from the same repository and it works now
    Quote Originally Posted by dcurtisfra
    What advantages do you see in using the "next" KDE Frameworks version with openSUSE Leap 42.3?
    ...I don't remember why but there was surely some advantages
    Quote Originally Posted by Knurpht
    ...Or seriously study zypper and it's options to avoid these situations.
    ...I have to study much more than only zypper

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,555

    Default Re: ark does'nt works after the last two updates

    Quote Originally Posted by pier_andreit View Post
    ...I have to study much more than only zypper
    May I suggest that, a deep, deep, reading of everything that, 'rpm' does could be helpful …
    Further reading: »O'Reilly«: Carla Schroder, "Linux Cookbook", ISBN: 0-596-00640-3; Tom Adelstein & Bill Lubanovic, "Linux System Administration", ISBN-10: 0-596-00952-6, ISBN-13: 978-0-596-00952-6.

  7. #7

    Default Re: ark does'nt works after the last two updates

    Quote Originally Posted by dcurtisfra View Post
    May I suggest that, a deep, deep, reading of everything that, 'rpm' does could be helpful …
    Further reading: »O'Reilly«: Carla Schroder, "Linux Cookbook", ISBN: 0-596-00640-3; Tom Adelstein & Bill Lubanovic, "Linux System Administration", ISBN-10: 0-596-00952-6, ISBN-13: 978-0-596-00952-6.
    I highly doubt that this would help with using different OBS repos that contain the "same" things and zypper pulling dependences from the "wrong" one.

    What I would recommend (and already did recommend to the OP some time ago IIRC):
    If you want to use my repo, take everything from it, give it a higher priority than all others, and *remove* KDE:Applications (everything is in my repo anyway, just named xxx5).

    If you prefer to use the standard packages (mine install to /opt/kf5/, which can cause problems like this), *remove* or disable my repo. I suppose you do want certain packages from my repo (amor, kwin5-beclock), but you don't really need it anymore after you installed them (amor in particular won't be updated anymore anyway, it has been ported to KF5 meanwhile though and the port is being worked on but I don't know if there ever will be a release).
    Or at least give it a lower priority than all others.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •